Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class BIPresentationFilter

    java.lang.Object
      samples.javaclient.analyzer.BIPresentationFilter

All Implemented Interfaces:
  oracle.dss.bicontext.BIFilter, oracle.dss.persistence.gui.PersistenceObjectFilter

public class BIPresentationFilter
extends java.lang.Object
implements oracle.dss.bicontext.BIFilter, oracle.dss.persistence.gui.PersistenceObjectFilter

Filter used for displaying only presentations (Crosstabs and Graphs) and folders in the PersistenceObjectChooser (Open or Save As dialog) or in the `CatalogExplorer`.

This class implements two interfaces:

- As a BIFilter, a BIPresentationFilter allows the CatalogExplorer to filter search results and display only graphs, crosstabs, and folders. The BIPresentationFilter is set on the CatalogExplorer in the `Analyzer.jbInit()` method.
- As a PersistenceObjectFilter, a BIPresentationFilter allows a PersistenceObjectChooser to display only graphs, crosstabs, and folders in an Open or Save As dialog. The `AnalyzerUtilities.showOpenDialog()` method and the `AnalyzerUtilities.showSaveAsDialog()` method set the BIPresentationFilter on the PersistenceObjectChooser.

Field Summary
`private static java.lang.String` | `PRESENTATIONS` String to display in the Object Type drop-down of the PersistenceObjectChooser: "Presentations".

Constructor Summary
`BIPresentationFilter()` Constructor.

Method Summary
`boolean` | `evaluate(oracle.dss.bicontext.BISearchResult result)` Indicates whether to include a result in the enumeration of search results.
`javax.swing.Icon` | `getDisplayIcon()` Null implementation for the PersistenceObjectFilter interface.
`java.lang.String` | `getDisplayText()` Gets the text to display in the Object Type drop-down of the PersistenceObjectChooser.
`java.lang.String` | `getFilterExpression()` Null implementation of hidden method in PersistenceObjectChooser interface.
`javax.naming.directory.Attributes` | `getMatchingAttributes()` Null implementation for the PersistenceObjectFilter interface.
`javax.naming.directory.SearchControls` | `getSearchControls()` Gets the SearchControls that defines the search filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRESENTATIONS

    private static final java.lang.String PRESENTATIONS

  String to display in the Object Type drop-down of the PersistenceObjectChooser: "Presentations".

  See Also:
    Constant Field Values

Constructor Detail

### BIPresentationFilter

    public BIPresentationFilter()

  Constructor.

Method Detail

### evaluate

    public boolean evaluate(oracle.dss.bicontext.BISearchResult result)

  Indicates whether to include a result in the enumeration of search results. This method filters out all search results except those that are Graphs, Crosstabs, or Folders.

  This is for the BIFilter interface.

  Specified by:
    `evaluate` in interface `oracle.dss.bicontext.BIFilter`
  Returns:
    `true` if the result has the object type of oracle.dss.util.persistence.PersistableConstants.FOLDER, oracle.dss.util.persistence.PersistableConstants.GRAPH, or oracle.dss.util.persistence.PersistableConstants.CROSSTAB, `false` if the object type is anything else.

### getDisplayText

    public java.lang.String getDisplayText()

  Gets the text to display in the Object Type drop-down of the PersistenceObjectChooser.

  This is for the PersistenceObjectFilter interface.

  Specified by:
    `getDisplayText` in interface `oracle.dss.persistence.gui.PersistenceObjectFilter`
  Returns:
    `PRESENTATIONS`.

### getDisplayIcon

    public javax.swing.Icon getDisplayIcon()

  Null implementation for the PersistenceObjectFilter interface.

  Specified by:
    `getDisplayIcon` in interface `oracle.dss.persistence.gui.PersistenceObjectFilter`
  Returns:
    null.

### getFilterExpression

    public java.lang.String getFilterExpression()

  Null implementation of hidden method in PersistenceObjectChooser interface.

  Specified by:
    `getFilterExpression` in interface `oracle.dss.persistence.gui.PersistenceObjectFilter`
  Returns:
    null.

### getMatchingAttributes

    public javax.naming.directory.Attributes getMatchingAttributes()

  Null implementation for the PersistenceObjectFilter interface.

  Specified by:
    `getMatchingAttributes` in interface `oracle.dss.persistence.gui.PersistenceObjectFilter`
  Returns:
    null.

### getSearchControls

    public javax.naming.directory.SearchControls getSearchControls()

  Gets the SearchControls that defines the search filter. This method instantiates a BISearchControls object and then sets a new BIPresentationFilter on it.

  This is for the PersistenceObjectFilter interface.

  Specified by:
    `getSearchControls` in interface `oracle.dss.persistence.gui.PersistenceObjectFilter`
  Returns:
    A SearchControls with a BIPresentationFilter set on it.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD